Subject: bug#33284: closed (Re: [bug#33284] [PATCH] python: Honor '--cores=...' in tests.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Nov 2018 06:46:02 +0000

Your bug report

#33284: [PATCH] python: Honor '--cores=...' in tests.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33284: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33284
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#33284] [PATCH] python: Honor '--cores=...' in tests.
From: Eric Bavier <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: Mathieu Othacehe <[email-masked]>, [email-masked]
Date: Sat, 17 Nov 2018 00:45:15 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 06 Nov 2018 17:00:01 +0100
Marius Bakke <[email-masked]> wrote:

> Eric Bavier <[email-masked]> writes:
> 
> > Hello Mathieu,
> >
> > On Tue, 6 Nov 2018 14:07:47 +0900
> > Mathieu Othacehe <[email-masked]> wrote:
> >  
> >> Hi Eric,
> >> 
> >> Your patch seems go to me, even if I think the root cause of your problem
> >> is fixed by:
> >> 
> >> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33186#26
> >> 
> >> I think that both could be applied to core-updates.  
> >
> > Thanks for the link; it looks like it should help.  But, yes, I think
> > both can be applied.  
> 
> Note that the broken test has already been removed on 'core-updates'.
> 
> Eric: can you push a 'python-updates' branch?  I wonder if we have time
> for a "half-rebuild" before the next 'core-updates' round; I've got some
> other heavy-impact patches in my pipeline (Glib, Cairo, ++).
> 
> The patch LGTM.

I've pushed this to the core-updates-next branch in commit
5b01b6034aeab32a5011c5757f18bd9772d3497d

`~Eric

Subject: [PATCH] python: Honor '--cores=...' in tests.
From: Eric Bavier <[email-masked]>
To: [email-masked]
Date: Mon, 5 Nov 2018 20:23:44 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

I noticed building 'python-minimal' that its tests seemed to have poor
memory performance, i.e. using *a lot* of RAM.  I thought maybe
dropping --cores=... would help, but it did not; the tests use all
available cores by default.  The attached patch fixes this issue,
though, the package still uses all cores while building some extension
libraries.

I suppose this patch would go to core-updates?

Cheers,
`~Eric
From 076d2f7f32a51f90f85be3da836d208987e9c678 Mon Sep 17 00:00:00 2001
From: Eric Bavier <[email-masked]>
Date: Thu, 1 Nov 2018 21:18:41 -0500
Subject: [PATCH] python: Honor '--cores=...' in tests.

* gnu/packages/python.scm (python-2.7)[arguments]: Add #:make-flags.
---
 gnu/packages/python.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index fbb280224..9a8b9dfcf 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -206,6 +206,9 @@
              "--enable-unicode=ucs4"
              (string-append "LDFLAGS=-Wl,-rpath="
                             (assoc-ref %outputs "out") "/lib"))
+       ;; With no -j argument tests use all available cpus, so provide one.
+       #:make-flags
+       (list (format #f "EXTRATESTOPTS=-j~d" (parallel-job-count)))
 
         #:modules ((ice-9 ftw) (ice-9 match)
                    (guix build utils) (guix build gnu-build-system))
-- 
2.19.1